name	iphlpapi
type	win32
file	iphlpapi.dll

import kernel32.dll
import ntdll.dll

debug_channels (iphlpapi)

@ stdcall AddIPAddress( long long long ptr ptr ) AddIPAddress
@ stub AllocateAndGetArpEntTableFromStack
@ stub AllocateAndGetIfTableFromStack
@ stub AllocateAndGetIpAddrTableFromStack
@ stub AllocateAndGetIpForwardTableFromStack
@ stub AllocateAndGetIpNetTableFromStack
@ stub AllocateAndGetTcpTableFromStack
@ stub AllocateAndGetUdpTableFromStack
@ stdcall CreateIpForwardEntry( ptr ) CreateIpForwardEntry
@ stdcall CreateIpNetEntry( ptr ) CreateIpNetEntry
@ stdcall CreateProxyArpEntry( long long long ) CreateProxyArpEntry
@ stdcall DeleteIPAddress( long ) DeleteIPAddress
@ stdcall DeleteIpForwardEntry( ptr ) DeleteIpForwardEntry
@ stdcall DeleteIpNetEntry( ptr ) DeleteIpNetEntry
@ stdcall DeleteProxyArpEntry( long long long ) DeleteProxyArpEntry
@ stdcall EnableRouter( ptr ptr ) EnableRouter
@ stdcall FlushIpNetTable( long ) FlushIpNetTable
@ stub FlushIpNetTableFromStack
@ stdcall GetAdapterIndex( wstr ptr ) GetAdapterIndex
@ stub GetAdapterOrderMap
@ stdcall GetAdaptersInfo( ptr ptr ) GetAdaptersInfo
@ stdcall GetBestInterface( long ptr ) GetBestInterface
@ stub GetBestInterfaceFromStack
@ stdcall GetBestRoute( long long long ) GetBestRoute
@ stub GetBestRouteFromStack
@ stdcall GetFriendlyIfIndex( long ) GetFriendlyIfIndex
@ stdcall GetIcmpStatistics( ptr ) GetIcmpStatistics
@ stub GetIcmpStatsFromStack
@ stdcall GetIfEntry( ptr ) GetIfEntry
@ stub GetIfEntryFromStack
@ stdcall GetIfTable( ptr ptr long ) GetIfTable
@ stub GetIfTableFromStack
@ stub GetIgmpList
@ stdcall GetInterfaceInfo( ptr ptr ) GetInterfaceInfo
@ stdcall GetIpAddrTable( ptr ptr long ) GetIpAddrTable
@ stub GetIpAddrTableFromStack
@ stdcall GetIpForwardTable( ptr ptr long ) GetIpForwardTable
@ stub GetIpForwardTableFromStack
@ stdcall GetIpNetTable( ptr ptr long ) GetIpNetTable
@ stub GetIpNetTableFromStack
@ stdcall GetIpStatistics( ptr ) GetIpStatistics
@ stub GetIpStatsFromStack
@ stdcall GetNetworkParams( ptr ptr ) GetNetworkParams
@ stdcall GetNumberOfInterfaces( ptr ) GetNumberOfInterfaces
@ stdcall GetPerAdapterInfo( long ptr ptr ) GetPerAdapterInfo
@ stdcall GetRTTAndHopCount( long ptr long ptr ) GetRTTAndHopCount
@ stdcall GetTcpStatistics( ptr ) GetTcpStatistics
@ stub GetTcpStatsFromStack
@ stdcall GetTcpTable( ptr ptr long ) GetTcpTable
@ stub GetTcpTableFromStack
@ stdcall GetUdpStatistics( ptr ) GetUdpStatistics
@ stub GetUdpStatsFromStack
@ stdcall GetUdpTable( ptr ptr long ) GetUdpTable
@ stub GetUdpTableFromStack
@ stdcall GetUniDirectionalAdapterInfo( ptr ptr ) GetUniDirectionalAdapterInfo
@ stub InternalCreateIpForwardEntry
@ stub InternalCreateIpNetEntry
@ stub InternalDeleteIpForwardEntry
@ stub InternalDeleteIpNetEntry
@ stub InternalGetIfTable
@ stub InternalGetIpAddrTable
@ stub InternalGetIpForwardTable
@ stub InternalGetIpNetTable
@ stub InternalGetTcpTable
@ stub InternalGetUdpTable
@ stub InternalSetIfEntry
@ stub InternalSetIpForwardEntry
@ stub InternalSetIpNetEntry
@ stub InternalSetIpStats
@ stub InternalSetTcpEntry
@ stdcall IpReleaseAddress( ptr ) IpReleaseAddress
@ stdcall IpRenewAddress( ptr ) IpRenewAddress
@ stub IsLocalAddress
@ stub NTPTimeToNTFileTime
@ stub NTTimeToNTPTime
@ stub NhGetGuidFromInterfaceName
@ stub NhGetInterfaceNameFromGuid
@ stub NhpAllocateAndGetInterfaceInfoFromStack
@ stub NhpGetInterfaceIndexFromStack
@ stdcall NotifyAddrChange( ptr ptr ) NotifyAddrChange
@ stdcall NotifyRouteChange( ptr ptr ) NotifyRouteChange
@ stub NotifyRouteChangeEx
@ stub _PfAddFiltersToInterface@24
@ stub _PfAddGlobalFilterToInterface@8
@ stub _PfBindInterfaceToIPAddress@12
@ stub _PfBindInterfaceToIndex@16
@ stub _PfCreateInterface@24
@ stub _PfDeleteInterface@4
@ stub _PfDeleteLog@0
@ stub _PfGetInterfaceStatistics@16
@ stub _PfMakeLog@4
@ stub _PfRebindFilters@8
@ stub _PfRemoveFilterHandles@12
@ stub _PfRemoveFiltersFromInterface@20
@ stub _PfRemoveGlobalFilterFromInterface@8
@ stub _PfSetLogBuffer@28
@ stub _PfTestPacket@20
@ stub _PfUnBindInterface@4
@ stdcall SendARP( long long ptr ptr ) SendARP
@ stub SetAdapterIpAddress
@ stub SetBlockRoutes
@ stdcall SetIfEntry( ptr ) SetIfEntry
@ stub SetIfEntryToStack
@ stdcall SetIpForwardEntry( ptr ) SetIpForwardEntry
@ stub SetIpForwardEntryToStack
@ stub SetIpMultihopRouteEntryToStack
@ stdcall SetIpNetEntry( ptr ) SetIpNetEntry
@ stub SetIpNetEntryToStack
@ stub SetIpRouteEntryToStack
@ stdcall SetIpStatistics( ptr ) SetIpStatistics
@ stub SetIpStatsToStack
@ stdcall SetIpTTL( long ) SetIpTTL
@ stub SetProxyArpEntryToStack
@ stub SetRouteWithRef
@ stdcall SetTcpEntry( ptr ) SetTcpEntry
@ stub SetTcpEntryToStack
@ stdcall UnenableRouter( ptr ptr ) UnenableRouter
